import dynamix_sdk.base as _base


class CloudapiLbMigrateToZoneResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbMigrateToZoneProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate_to_zone(
        self,
        *,
        lb_id: int,
        zone_id: int,
    ) -> CloudapiLbMigrateToZoneResultBool:
        ...
